//Bibliothek zum Aufbau einer WiFi Verbindung
#include <ESP8266WiFi.h>

//SSID aus dem Router
const char* ssid = "";
//Passwort für den Zugang zum WLAN
const char* password = "";

//Aufbau eines Webservers mit HttpPort 80
WiFiServer server(80);

void setupWiFi() {
  //Ausgabe der SSID auf der seriellen Schnittstelle
  Serial.print("Aufbau der WiFi Verbindung zu ");
  Serial.print(ssid);
  Serial.print(" ");
  WiFi.begin(ssid, password);
  int index = 0;
  //Warten bis die Verbindung aufgebaut wurde,
  //oder 10 Versuche gescheitert sind.
  while (WiFi.status() != WL_CONNECTED || index < 11) {
    delay(500);
    index++;  //incrementieren des Indexes
    Serial.print(".");
  }
  Serial.println();
  //Wenn die Verbindung erfolgreich aufgebaut wurde,
  //dann soll die IP-Adresse ausgegeben werden.
  if (WiFi.status() == WL_CONNECTED) {
    Serial.print("IP-Adresse: ");
    Serial.println(WiFi.localIP().toString());
  }
}

void setup() {
  //begin der seriellen Kommunikation
  Serial.begin(9600);
  //Aufrufen der Funktion setupWiFi
  //zum Aufbau der WiFi-Verbindung.
  setupWiFi();
}

void loop() {
  // bleibt erstmal leer
}
